#include <iostream>
#include <cstdlib>
#include <ctime>
#include "stack.hpp"
using namespace std;

int main()
{
    srand(time(0));

    Stack<int> myStack(1000); // megadjuk a verem maximális méretét

	cout << "Számok megfordítása (a bement végét 0 jelzi):";
    try // kivételkezelő blokk
    {
		int v;
	    do {
		   cout << "Következő szám: ";
		   cin >> v;
		   myStack.push(v); // kiválthatja a STACK_FULL kivételt
		} while (v != 0);
    }
    catch (Stack<int>::Exceptions ex) // a veremből jövő kivételeket kapjuk el
    {
		if (ex == Stack<int>::STACK_FULL)
			cout << endl << "Nem lehet több számot a verembe helyezni!" << endl;
    }

    cout << endl << endl << "A számok fordított sorrendben: ";
    while (!myStack.isEmpty())
        cout << " " << myStack.pop();
    return 0;
}
